package xmljson.json.creating;

import com.google.gson.*;

import java.io.*;

import xmljson.model.*;

public class JsonObjectSerializationOutputExample {

	public static void run() throws Exception {

		Catalog catalog = new Catalog();

		catalog.add(new CD("Hide your heart", "Bonnie Tyler", "UK",
							"CBS Records", 9.90f, 1988));
		catalog.add(new CD("Greatest Hits", "Dolly Parton", "USA",
							"RCA", 9.90f, 1982));
		catalog.add(new CD("Still got the blues", "Gary Moore", "UK",
							"Virgin records", 10.20f, 1990));

		Gson gson = new GsonBuilder().setPrettyPrinting().create();
		
		String jsonStr = gson.toJson(catalog);
		
		System.out.println(jsonStr);
	}

}
