package xmljson.json.parsing;

import com.google.gson.*;

import java.io.*;

import xmljson.model.*;

public class JsonObjectSerializationInputExample {

	public static void run(File file) throws Exception {

		try (FileReader fileReader = new FileReader(file)) {
			
			Gson gson = new Gson();
			
			Catalog catalog = gson.fromJson(fileReader, Catalog.class);
			
			for (CD cd : catalog.getItems()) {
				System.out.println(cd.getTitle() + ", " + cd.getArtist());
			}
		}
	}
	
}
